footer {
    width: 100%;
    min-height: 90dvh;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    background-color: #000;

    position: relative;
    isolation: isolate;
}
footer picture {
    position: absolute;
    width: 100%;
    bottom: 8.5rem; right: 0;
    z-index: -1;
}

footer .footer-inner {
    padding-top: 10rem;
    flex: 1;
    display: flex;
    align-items: start;
    justify-content: center;
    gap: 10rem;
}

footer .footer-inner nav {
    display: grid;
    gap: 2.5rem;
}
footer .footer-inner nav a {
    font-family: "Druk";
    font-style: italic;
    font-size: 2rem;
    font-weight: 900;
    text-transform: uppercase;
    text-decoration: none;
    line-height: 1;
    color: #fff;
    text-shadow: #000 1px 1px 2px;
}

footer .footer-inner ul.footer-contacts {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 3rem 1.5rem;
}
footer .footer-inner ul.footer-contacts li {
    max-width: 20rem;
    display: grid;
    gap: 1rem;
}
footer .footer-inner ul.footer-contacts li p {
    font-family: "Druk";
    font-style: italic;
    font-size: 2rem;
    font-weight: 900;
    text-transform: uppercase;
    text-decoration: none;
    line-height: 1;
    color: var(--accent-yellow);
    margin-bottom: 0.5rem;
}
footer .footer-inner ul.footer-contacts li address,
footer .footer-inner ul.footer-contacts li a {
    font-size: 1.2rem;
    font-style: normal;
    text-decoration: none;
    color: #fff;
}

footer .footer-inner ul.footer-contacts li em,
footer .footer-inner ul.footer-contacts li em * {
    font-family: "Druk";
    font-style: italic;
    font-size: 2rem;
    font-weight: 900;
    text-transform: uppercase;
    text-decoration: none;
    line-height: 1;
}

footer .footer-inner ul.footer-contacts li em {
    color: var(--accent-yellow);
}
footer .footer-inner ul.footer-contacts li em b {
    margin-left: 5px;
    color: #ffffffb8;
}


footer .bottom-box {
    background: linear-gradient(to bottom, #0000009e, #000);
}
footer .bottom-box .bottom-box-inner {
    padding-block: 2rem;
    border-top: 1px solid #C1C1C1;
}
footer .bottom-box dl {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
footer .bottom-box dl * {
    font-size: 1.2rem;
    text-transform: uppercase;
    text-decoration: none;
    color: #C1C1C1;
    
}
footer .bottom-box dt img {
    max-width: 8.5rem;
}
footer .bottom-box dd a {
    padding: 5px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #C1C1C1;
    margin-right: 5px;
}
footer .bottom-box dd a:is(:hover, :focus-visible) {
    border: 1px solid var(--accent-yellow);
}


@media (max-width: 650px) {
    footer {
        min-height: unset;
    }
    footer .footer-inner {
        padding-block: 3rem 5rem;
        display: grid;
        place-items: center;
        text-align: center;
    }
    footer .footer-inner ul.footer-contacts {
        grid-template-columns: 1fr;
    }
    footer .footer-inner ul.footer-contacts li {
        text-align: center;
        place-items: center;
    }
}

@media (max-width: 400px) {
    footer .bottom-box {
        background: linear-gradient(to bottom, #00000000, #000 65%);
    }
    footer .bottom-box .bottom-box-inner {
        padding-block: 3rem;
        border-top: none;
    }
    footer .bottom-box dl {
        flex-direction: column-reverse;
        gap: 3rem;
    }
    footer .bottom-box dt {
        display: grid;
        place-items: center;
        gap: 1rem
    }
}